Next Generation Emulation banner
1 - 11 of 11 Posts

· Registered
Joined
·
4 Posts
Discussion Starter · #1 ·
I have just tested Sypro 2 (PAL) using ePSXe 1.5.2, ePSXe 1.6.0, and PCSX, as they are the only decent emulators. The game plays alright, but things take a turn for the worse when I enter those portals. In ePSXe 1.5.2, the game locks up. In v1.6.0 of the emulator, it crashes with a opcode error. And the game crashes with an illegal operation in PCSX. I did most of the things in the Troubleshooting thread, including making an ISO, but to no avail. Whenever I loaded up my ISO, all I get is a black screen and the log doesn't show any error.

I have already read some threads regarding this game, but those didn't resolve the problem. I don't think it's a problem with one of my plugins, but with the emulators themselves. I have an old system, but most PSX games run fine on it. I have a question: does anyone have this problem with the NTSC version of the game?
 

· Premium Member
bsnes, ePSXe
Joined
·
23,380 Posts
i havent yet heard of anyone properly running Spyro 2 on any emulator, even check out the other threads.

you could try VGS or Bleem i suppose..
 

· Registered
Joined
·
4 Posts
Discussion Starter · #4 ·
Plugin: Pete's OpenGL Driver 1.1.76
Author: Pete Bernert
Card vendor: NVIDIA Corporation
GFX card: GeForce2 MX/PCI/SSE2

Resolution/Color:
- 640x480 Fullscreen - NO desktop changing [16 Bit]
- Keep psx aspect ratio: off

Textures:
- R4G4B4A4
- Filtering: 0
- Hi-Res textures: 0
- VRam size: 0 MBytes

Framerate:
- FPS limitation: on
- Frame skipping: off
- FPS limit: Auto

Compatibility:
- Offscreen drawing: 3
- Framebuffer texture: 0
- Framebuffer access: 4
- Alpha multipass: on
- Mask bit: off
- Advanced blending: off

Misc:
- Scanlines: off
- Line mode: off
- Unfiltered FB: on
- 15 bit FB: off
- Dithering: off
- Screen smoothing: off
- Screen cushion: off
- Game fixes: off [00000000]

As for VGS, my system exceeds the CPU requirements that are in the documentation, but I always get a message telling me that I do not meet the requirement.
 

· Registered
Joined
·
4 Posts
Discussion Starter · #6 ·
Of these emulators, SSSPSX is out because the emulator crashes. I will try VGS later, and if that doesn't work, I suppose I have to play the bloody game on a real PSX. The problem is with this because I can't control the gamepads that comes with the console due to a condition I have called cerebral palsy. I have it mild, though.
 

· Premium Member
bsnes, ePSXe
Joined
·
23,380 Posts
joysticks that act like ones from the arcade...i dont see what you're getting at. there are plenty of regular joysticks, is that good enough for you? i've seen this thing at fry's before, it seems pretty arcade-like.
 

· Registered
Joined
·
28 Posts
I had exactly the same problem. The reason youre getting the crashing and opcode errors is because Spyro 2 PAL had lybcrypt protection, and requires a 1:1 image to work. To do this you need to have created the Subchannel data (.SBI File). Ive uploaded mine below if you want it.

1) use p.e.o.ps 1.4 plugin for a CD-ROm. Download from:
http://www.pbernert.com/cdrpeops104.zip

2) Under Subchannel reading, use the following:

Use subchannel SBI/M3S info file (recommended)
(Download my .SBI file) locate the .SBI file from the drop down menu and click ok. Now when you play the game, you should have no opcode errors :). I play Spyro 2+3 fine, But you need to create a subchannel file for Spyro 3 aswell. AND!!! Whenever you play another game, "deattach" the .SBI file ;)
 

· Registered
Joined
·
1 Posts
Just for the record, I also had the OpCode problem but it wasn't until I started the game, completed Gllimmer and Summer Forrset, saved the game and then I went back to it after tea and as the game loads ePSXe crashes on me.

However ePSXe plays Spyro 1 most brilliantly.

Has anyone compiled a list of games that require these patches.

Thanks

Scott
 
1 - 11 of 11 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top